org.springframework.data.repository.core.support

## Class RepositoryFragment.StructuralRepositoryFragment<T>

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFragment.StructuralRepositoryFragment<T>

All Implemented Interfaces:
  RepositoryFragment<T>

Enclosing interface:
  RepositoryFragment<T>

    public static class RepositoryFragment.StructuralRepositoryFragment<T>
    extends Object
    implements RepositoryFragment<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.repository.core.support.RepositoryFragment

`RepositoryFragment.ImplementedRepositoryFragment<T>, RepositoryFragment.StructuralRepositoryFragment<T>`

### Constructor Summary

Constructors
Constructor and Description
`StructuralRepositoryFragment(Class<T> interfaceOrImplementation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Class<?>` `getSignatureContributor()`
`int` `hashCode()`
`String` `toString()`
`RepositoryFragment<T>` `withImplementation(T implementation)` Implement a structural `RepositoryFragment` given its `implementation` object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.repository.core.support.RepositoryFragment

`getImplementation, hasMethod, implemented, implemented, methods, structural`

### Constructor Detail

#### StructuralRepositoryFragment

    public StructuralRepositoryFragment(Class<T> interfaceOrImplementation)

### Method Detail

#### getSignatureContributor

    public Class<?> getSignatureContributor()

Specified by:
  `getSignatureContributor` in interface `RepositoryFragment<T>`
Returns:
  the class/interface providing signatures for this `RepositoryFragment`.

#### withImplementation

    public RepositoryFragment<T> withImplementation(T implementation)

Description copied from interface: `RepositoryFragment`
Implement a structural `RepositoryFragment` given its `implementation` object. Returns an implemented `RepositoryFragment`.

Specified by:
  `withImplementation` in interface `RepositoryFragment<T>`
Parameters:
  `implementation` - must not be null.
Returns:
  a new implemented `RepositoryFragment` for `implementation`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`